/* Reflow Oven Controller
*
* Copyright (C) 2020  Mario Hüttel <mario.huettel@gmx.net>
*
* This file is part of the Reflow Oven Controller Project.
*
* The reflow oven controller is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2 as
* published by the Free Software Foundation.
*
* The Reflow Oven Control Firmware is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with the reflow oven controller project.
* If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __SETTINGS_SETTINGS_EEPROM_H__
#define __SETTINGS_SETTINGS_EEPROM_H__

#include <stdbool.h>

bool settings_eeprom_detect_and_prepare(void);

int settings_eeprom_save_calibration(float sens, float offset, bool active);

int settings_eeprom_load_calibration(float *sens, float *offset, bool *active);

int settings_eeprom_save_overtemp_limit(float overtemp_limit, bool active);

int settings_eeprom_load_overtemp_limit(float *overtemp_limit);

#endif /* __SETTINGS_SETTINGS_EEPROM_H__ */
